"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var configs_1 = require("../configs");
var state = {
    configs: null,
    setConfigs: function (configs) {
        this.configs = configs;
    },
    getConfigs: function () {
        return this.configs;
    },
    getConfig: function (key) {
        if (this.configs) {
            if (key in this.configs) {
                return this.configs[key];
            }
            if (key in this.configs.mqtt) {
                return this.configs.mqtt[key];
            }
        }
        return null;
    },
};
var configs = (0, configs_1.loadConfig)();
state.setConfigs(configs);
exports.default = state;
