"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportedBinaryFormatsForMQTT = void 0;
exports.supportedBinaryFormatsForMQTT = [
    '.png',
    '.jpg',
    '.jpeg',
    '.gif',
    '.bmp',
    '.ico',
    '.tif',
    '.tiff',
    '.mp4',
    '.avi',
    '.mov',
    '.mkv',
    '.flv',
    '.wmv',
    '.mpeg',
    '.3gp',
    '.mp3',
    '.wav',
    '.flac',
    '.aac',
    '.ogg',
    '.wma',
    '.m4a',
    '.m4p',
    '.zip',
    '.gz',
    '.rar',
    '.tar',
    '.7z',
    '.bz2',
    '.xz',
    '.jar',
    '.bin',
    '.exe',
    '.dll',
    '.so',
    '.dmg',
    '.iso',
    '.img',
    '.pdf',
    '.epub',
    '.netp',
    '.pcap',
    '.pcapng',
    '.cap',
    '.dmp',
    '.trace',
    '.db',
    '.sqlite',
    '.mdb',
    '.frm',
    '.myd',
    '.myi',
    '.dat',
    '.raw',
    '.log',
    '.blob',
    '.hex',
    '.rom',
    '.fw',
    '.pkt',
    '.mpack',
    '.parquet',
    '.orc', // Optimized Row Columnar
];
var isSupportedBinaryFormatForMQTT = function (fileExtname) {
    return exports.supportedBinaryFormatsForMQTT.includes(fileExtname);
};
exports.default = isSupportedBinaryFormatForMQTT;
