"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSpecialTypesOption = exports.getClientId = void 0;
var getClientId = function () { return "mqttx_".concat(Math.random().toString(16).substring(2, 10)); };
exports.getClientId = getClientId;
function getSpecialTypesOption(option, index, defaultVal) {
    var typelist = ['boolean', 'number'];
    if (typelist.includes(typeof option))
        return option;
    if (Array.isArray(option)) {
        if (typelist.includes(typeof option[index]))
            return option[index];
        if (typelist.includes(typeof option[0]))
            return option[0];
    }
    return defaultVal;
}
exports.getSpecialTypesOption = getSpecialTypesOption;
